<script lang="ts">
import Vue from 'vue';
import { SlpColumn } from '../common/index.vue';

export default Vue.extend({
  components: {
    SlpColumn,
  },
  props: {
    data: {
      type: Object,
      required: true,
      default() {
        return {};
      },
    },
  },
});
</script>

<template>
  <div class="addons__container">
    <SlpTypography variant="heading2-bold" tag="h2">{{
      data.heading
    }}</SlpTypography>
    <SlpTypography variant="heading4" tag="h3" class="addons__subtitle">{{
      data.text
    }}</SlpTypography>
    <SlpRow class="addons__card_container">
      <SlpColumn v-for="card in data.cards" :key="card.title" size="lg">
        <a
          class="addons__card"
          :href="card.link.url"
          :data-ga-name="card.link.data_ga_name"
          :data-ga-location="card.link.data_ga_location"
        >
          <SlpTypography
            variant="heading4"
            class="addons__card_heading"
            tag="h3"
            >{{ card.heading }}</SlpTypography
          >
          <div class="addons__card_price">
            <SlpTypography variant="heading1" tag="h4">{{
              card.price
            }}</SlpTypography>
            <div class="details">
              <SlpTypography variant="body2" tag="p">{{
                card.price_info
              }}</SlpTypography>
              <SlpTypography variant="body2" tag="p">{{
                card.description
              }}</SlpTypography>
            </div>
          </div>
          <span class="link-wrapper">
            <SlpTypography variant="body2-bold" tag="p" class="addons__link"
              >{{ card.link.text }}
              <img
                class="chevron"
                src="/nuxt-images/icons/slp-chevron-lg.svg"
                alt=""
            /></SlpTypography>
          </span>
        </a>
      </SlpColumn>
    </SlpRow>
  </div>
</template>

<style lang="scss" scoped>
.addons {
  &__container {
    background: $color-surface-800;
    border-radius: $border-radius-24;
    margin-bottom: $spacing-96;
    padding: $spacing-32 $spacing-16;

    @media (min-width: $breakpoint-lg) {
      padding: $spacing-96 $spacing-64;
    }
  }
  &__subtitle {
    @media (min-width: $breakpoint-lg) {
      width: 60%;
    }
    margin-bottom: 40px;
  }
  &__card {
    border-radius: 12px;
    display: block;
    padding: $spacing-24;
    background-color: white;
    margin-bottom: $spacing-24;
    transition: all 0.3s ease-in;
    &:hover {
      box-shadow: 0px 24px 50px -16px #d1d0d3;
    }
    @media (min-width: $breakpoint-lg) {
      width: 440px;
      padding: 40px $spacing-48;
    }
    &_heading {
      margin-bottom: 40px;
      color: $color-text-300;
    }
    &_price {
      h1 {
        color: $color-text-300;
      }
      display: flex;
      align-items: center;
      margin-bottom: $spacing-24;

      .details {
        margin-left: $spacing-24;
        p {
          font-weight: bold;
        }
      }
    }
  }

  .link-wrapper {
    padding: $spacing-8;
    min-width: 68px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    font-size: inherit;
    font-weight: inherit;
    line-height: inherit;
  }

  &__link {
    color: black;
    img {
      margin-left: $spacing-16;
    }
  }
}
</style>
